import java.sql.*; 

public class SimpleDbExample { 
	
	public static void main(String[] args) { 
		// Diese Eintraege werden zum 
		// Verbindungsaufbau benoetigt. 
		final String hostname = "localhost"; 
		final String port = "3306"; 
		final String dbname = "sportverein"; 
		final String user = "javatest"; 
		final String password = "test"; 

		Connection conn = null; 

		try { 
			System.out.println("* Treiber laden"); 
			Class.forName("org.gjt.mm.mysql.Driver").newInstance(); 
		} 
		catch (ReflectiveOperationException e) { 
			System.err.println("Laden des Treibers ist fehlgeschlagen."); 
			e.printStackTrace(); 
		} 

		try { 
			System.out.println("* Verbindung aufbauen"); 
			String url = "jdbc:mysql://"+hostname+":"+port+"/"+dbname; 
			conn = DriverManager.getConnection(url, user, password); 

			System.out.println("* Statement beginnen"); 
			Statement stmt = conn.createStatement(); 

			String sqlCommand = "SELECT * FROM mitglieder;"; 
			ResultSet rs = stmt.executeQuery(sqlCommand); 

			System.out.println("* Ergebnisse anzeigen"); 
			while (rs.next()) { 
				int id = rs.getInt(1);
				String name = rs.getString(2); 
				String anschrift = rs.getString("anschrift"); 
				System.out.println(id + " " + name + " " + anschrift); 
			} 
	
			System.out.println("* Datenbank-Verbindung beenden"); 
			conn.close(); 
		} 
		catch (SQLException sqle) { 
			System.out.println("SQLException: " + sqle.getMessage()); 
			System.out.println("SQLState: " + sqle.getSQLState()); 
			System.out.println("VendorError: " + sqle.getErrorCode()); 
			sqle.printStackTrace(); 
		} 
	} // ende: public static void main() 
		
} // ende: public class SimpleDbExample 
